漏洞信息详情

Strapi Admin面板Install and Uninstall Plugin组件输入验证错误漏洞

  • CNNVD编号:CNNVD-201912-254
  • 危害等级: 高危
  • CVE编号: CVE-2019-19609
  • 漏洞类型: 操作系统命令注入
  • 发布时间: 2019-12-05
  • 威胁类型: 远程
  • 更新时间: 2021-09-01
  • 厂        商:
  • 漏洞来源: David Uton

漏洞简介

Strapi是一套开源的无头内容管理系统(CMS)。Install and Uninstall Plugin是其中的一个安装卸载插件。

Strapi中的Admin面板的Install and Uninstall Plugin组件存在远程代码执行漏洞,该漏洞源于程序没有清理插件名。攻击者可借助‘execa’函数利用该漏洞注入并执行任意的shell命令。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://github.com/strapi/strapi/pull/4636

参考网址

来源:MISC

链接:https://github.com/strapi/strapi/pull/4636

来源:MISC

链接:https://packetstormsecurity.com/files/163950/Strapi-CMS-3.0.0-beta.17.4-Remote-Code-Execution.html

来源:MISC

链接:https://packetstormsecurity.com/files/163940/Strapi-3.0.0-beta.17.7-Remote-Code-Execution.html

来源:bittherapy.net

链接:https://bittherapy.net/post/strapi-framework-remote-code-execution/

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-19609

来源:cxsecurity.com

链接:https://cxsecurity.com/issue/WLB-2021080107

来源:packetstormsecurity.com

链接:https://packetstormsecurity.com/files/163950/Strapi-CMS-3.0.0-beta.17.4-Remote-Code-Execution.html

来源:www.exploit-db.com

链接:https://www.exploit-db.com/exploits/50238

受影响实体

    暂无


漏洞信息快速查询

相关漏洞

更多